#!/usr/bin/env node
'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
const yargs = require('yargs');
const nwwc = require('../index');
const opts = nwwc.parse_cli_opts(yargs.argv);
if (!opts) {
    console.error('argv empty. options: --pid|title|hwnd --status');
    console.log('status value See: https://msdn.microsoft.com/en-us/library/windows/desktop/ms633548(v=vs.85).aspx');
    process.exit(1);
}
else {
    nwwc.show(opts).then((execRet) => {
        console.log('process ret:', execRet);
        process.exit(execRet.err);
    });
}
