'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
const ref = require('ref');
const win32_api_1 = require('win32-api');
const knl32 = win32_api_1.K.load();
function get_last_err_msg() {
    // https://msdn.microsoft.com/en-us/library/windows/desktop/ms681382(v=vs.85).aspx
    const errcode = knl32.GetLastError();
    let errMsg = '';
    /* istanbul ignore if  */
    if (errcode) {
        const len = 255;
        const buf = Buffer.alloc(len);
        const p = 0x00001000 | 0x00000200; // FORMAT_MESSAGE_FROM_SYSTEM | FORMAT_MESSAGE_IGNORE_INSERTS
        const langid = 0x0409; // 0x0409: US, 0x0000: Neutral locale language
        const msglen = knl32.FormatMessageW(p, null, errcode, langid, buf, len, null);
        if (msglen) {
            errMsg = errcode + ': ' + ref.reinterpretUntilZeros(buf, 2).toString('ucs2');
        }
        else {
            errMsg = `${errcode}: unknown error meeage`;
        }
    }
    return errMsg;
}
exports.get_last_err_msg = get_last_err_msg;
